Additional operations
List merged stored answers for a page of runs
List merged stored answers for a page of runs
curl --request GET \
--url https://api.atlan.com/eval/v1/answers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/eval/v1/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/answers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"store": "session_insight",
"answer_type": "choice",
"backend": "classifier",
"choice": "<string>",
"confidence": 123,
"created_at": "<string>",
"execution_id": "<string>",
"labels": [
"<string>"
],
"model": "<string>",
"passed": true,
"question_id": "<string>",
"reasoning": "<string>",
"score": 123,
"scorer_id": "<string>",
"scorer_version": 123,
"session_id": "<string>",
"subject_key": "<string>",
"text": "<string>",
"trace_id": "<string>",
"upstream_model": "<string>"
}
],
"page": {
"has_more": true,
"limit": 1,
"next_cursor": "<string>",
"reason": "<string>"
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 0⌘I
List merged stored answers for a page of runs
curl --request GET \
--url https://api.atlan.com/eval/v1/answers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/eval/v1/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/answers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"store": "session_insight",
"answer_type": "choice",
"backend": "classifier",
"choice": "<string>",
"confidence": 123,
"created_at": "<string>",
"execution_id": "<string>",
"labels": [
"<string>"
],
"model": "<string>",
"passed": true,
"question_id": "<string>",
"reasoning": "<string>",
"score": 123,
"scorer_id": "<string>",
"scorer_version": 123,
"session_id": "<string>",
"subject_key": "<string>",
"text": "<string>",
"trace_id": "<string>",
"upstream_model": "<string>"
}
],
"page": {
"has_more": true,
"limit": 1,
"next_cursor": "<string>",
"reason": "<string>"
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}